jlap

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.player.advanced
Class jlap

    java.lang.Object
      javazoom.jl.player.advanced.jlap

public class jlap
extends java.lang.Object

This class implements a sample player using Playback listener.

Nested Class Summary
`class` | `jlap.InfoListener`

Constructor Summary
`jlap()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `play(java.lang.String filename)`
`static AdvancedPlayer` | `playMp3(java.io.File mp3, int start, int end, PlaybackListener listener)`
`static AdvancedPlayer` | `playMp3(java.io.File mp3, PlaybackListener listener)`
`static AdvancedPlayer` | `playMp3(java.io.InputStream is, int start, int end, PlaybackListener listener)`
`void` | `showUsage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jlap

    public jlap()

Method Detail

### main

    public static void main(java.lang.String[] args)

### play

    public void play(java.lang.String filename)
              throws JavaLayerException,
                     java.io.IOException

  Throws:
    `JavaLayerException`
    `java.io.IOException`

### showUsage

    public void showUsage()

### playMp3

    public static AdvancedPlayer playMp3(java.io.File mp3,
                                         PlaybackListener listener)
                                  throws java.io.IOException,
                                         JavaLayerException

  Throws:
    `java.io.IOException`
    `JavaLayerException`

### playMp3

    public static AdvancedPlayer playMp3(java.io.File mp3,
                                         int start,
                                         int end,
                                         PlaybackListener listener)
                                  throws java.io.IOException,
                                         JavaLayerException

  Throws:
    `java.io.IOException`
    `JavaLayerException`

### playMp3

    public static AdvancedPlayer playMp3(java.io.InputStream is,
                                         int start,
                                         int end,
                                         PlaybackListener listener)
                                  throws JavaLayerException

  Throws:
    `JavaLayerException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005